System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Represents a configuration section that contains a collection of binding elements, each of which describes an aspect of how an endpoint communicates with other endpoints, that is built, consistently, into a channel factory on the client and a channel listener on the service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the binding.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the binding.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.Configuration.IBindingConfigurationElement> To be added. To be added.

  Gets all the binding configuration elements in this collection.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether a binding exists in the collection using the specified name.

  true if the collection contains the binding with the specified ; otherwise, false.

  The name of the binding to be located.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added.

  Gets the default binding used.

  A object that represents the default binding.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Adds the specified binding to the collection.

  true if the operation completed successfully; otherwise, false.

  The name of the binding to be added. A object that represents the binding to be added. The configuration settings of this binding.